using System;
using System.Collections.Generic;
using System.Text;

namespace IrrlichtNetSwig
{
    public partial class vector2df
    {
        public static vector2df operator +(vector2df x, vector2df y)
        {
            return x.add(y);
        }
        public static vector2df operator +(vector2df x, float y)
        {
            return x.add(y);
        }
        public static vector2df operator -(vector2df x, vector2df y)
        {
            return x.sub(y);
        }
        public static vector2df operator -(vector2df x, float y)
        {
            return x.sub(y);
        }
        public static vector2df operator *(vector2df x, vector2df y)
        {
            return x.mul(y);
        }
        public static vector2df operator *(vector2df x, float y)
        {
            return x.mul(y);
        }
        public static vector2df operator /(vector2df x, vector2df y)
        {
            return x.div(y);
        }
        public static vector2df operator /(vector2df x, float y)
        {
            return x.div(y);
        }
        public static bool operator <(vector2df x, vector2df y)
        {
            return x.lessThan(y);
        }
        public static bool operator >(vector2df x, vector2df y)
        {
            return x.graterThan(y);
        }
        public static bool operator <=(vector2df x, vector2df y)
        {
            return x.lessEqual(y);
        }
        public static bool operator >=(vector2df x, vector2df y)
        {
            return x.graterEqual(y);
        }
    }
}
